/*
 * /////////////////////////////////////////////////////////////////////////////////
 * //
 * // Copyright <2015>-<2016> Avaya Inc. All Rights Reserved.
 * //
 * // Usage of this source is bound to the terms described
 * // in assets/Licence.txt
 * //
 * // Avaya - Confidential & Proprietary. Use pursuant to your signed agreement
 * // or Avaya Policy
 * //
 * /////////////////////////////////////////////////////////////////////////////
 */

package com.avaya.odonnell3.AndroidChatTemplate_2_3.model;

import com.fasterxml.jackson.annotation.JsonProperty;

public class AgentIsTyping {

    @JsonProperty("agentId")
    private String agentId;
    @JsonProperty("displayName")
    private String displayName;
    @JsonProperty("isTyping")
    private Boolean isTyping;
    @JsonProperty("method")
    private String method;

    public AgentIsTyping(){}

    public AgentIsTyping(String agentId, String displayName, Boolean isTyping, String method) {
        this.agentId = agentId;
        this.displayName = displayName;
        this.isTyping = isTyping;
        this.method = method;
    }

    public String getAgentId() {
        return agentId;
    }

    public void setAgentId(String agentId) {
        this.agentId = agentId;
    }

    public String getDisplayName() {
        return displayName;
    }

    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }

    public Boolean getTyping() {
        return isTyping;
    }

    public void setTyping(Boolean typing) {
        isTyping = typing;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    @Override
    public String toString() {
        return "AgentIsTyping{" +
                "agentId='" + agentId + '\'' +
                ", displayName='" + displayName + '\'' +
                ", isTyping=" + isTyping +
                ", method='" + method + '\'' +
                '}';
    }
}
